Ghana Mobile Money
Collect mobile money payments from customers in Ghana.
We recommend you read the method overview before you proceed.
Last updated 13 September 2026
Collect mobile money payments from customers in Ghana. We recommend you read the method overview before you proceed.
https://api.flutterwave.com/v3/charges?type=mobile_money_ghana
authorization string required
Pass your secret key as a bearer token in the request header to authorize this call
FILL IN ALL REQUIRED FIELDS
amount int 32 required
This is the amount to be charged.
currency string required
This is the specified currency to charge the card in. With Flutterwave you can charge cards in more than 90 currencies, all you need to do is pass the specified currency you would like to charge the in
email string required
This is the email address of the customer
tx_ref string required
This is a unique reference, unique to the particular transaction being carried out.
phone_number string required
This is the phone number linked to the customer's mobile money account
network string required
This is the customer's mobile money network provider (possible values: MTN, VODAFONE, TIGO)
fullname string
This is the customers full name. It should include first and last name of the customer
client_ip string
IP - Internet Protocol. This represents the current IP address of the customer carrying out the transaction
device_fingerprint string
This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used
meta object
This is used to include additional payment information
FILL IN ALL REQUIRED FIELDS
flightID string
This could be the extra information you want to pass
sideNote string
This could be any message you'd like to associate with this call
redirect_url string
This is a url you provide, we redirect to it after the customer completes payment and append the response to it as query parameters.
FILL IN ALL REQUIRED FIELDS
status string
message string
meta object
FILL IN ALL REQUIRED FIELDS
authorization object
FILL IN ALL REQUIRED FIELDS
status string
message string
data string
Shell